AUTOMOUNT(8)

NAME
automount - configure mount points for autofs

SYNOPSIS
automount [options] mount-point map-type[,format] map [map-options]

DESCRIPTION
The automount program is used to configure a mount point for autofs, the inlined Linux automounter. automount works by taking a base mount-point and map file, and using these (combined with other options) to automatically mount filesystems within the base mount-point when they are accessed in any way. The filesystems are then autounmounted after a period of inactivity.

OPTIONS

-p, --pid-file
    Write the pid of the daemon to the specified file.

-t, --timeout
    Set the minimum timeout, in seconds, until directories are unmounted. The default is 5 minutes. Setting the timeout to zero disables unmounts completely.

-v, --version
    Display the version number, then exit.

ARGUMENTS
automount takes at least three arguments. Mandatory arguments include mount-point, map-type and map. Both mandatory and optional arguments are described below.

mount-point
    Base location for autofs-mounted filesystems to be attached. This is a directory name which must already exist.

map-type
    Type of map used for this invocation of automount. The following are valid map types:

    file
        The map is a regular text file.

    program
        The map is an executable program, which is passed a key on the command line and returns an entry on stdout if successful.

    yp  The map is a NIS (YP) database.

    nisplus
        The map is a NIS+ database.

    hesiod
        The map is a hesiod database whose filsys entries are used for maps.

    ldap
        map names are of the form [servername:]basedn, where the optional servername is the name of the LDAP server to query, and basedn is the DN to do a subtree search under. Entries are automount objects in the specified subtree, where the cn attribute is the key (the wildcard key is "/"), and the automounterInformation attribute contains the information used by the automounter. Documentation on the schema used by this module is available online at http://docs.iplanet.com/docs/manuals/directory/411ext/nis/mapping.htm.

format Format of the map data; currently the only formats
    recognized are sun, which is a subset of the Sun automounter map format, and hesiod, for hesiod filesys entries. If the format is left unspecified, it defaults to sun for all map types except hesiod.

map Location of mapfile to use. This is an absolute UNIX pathname in the case for maps of types file or program, and the name of a database in the case for maps of type yp, nisplus, or hesiod.

options
    Any remaining command line arguments without leading dashes (-) are taken as options (-o) to mount. Arguments with leading dashes are considered options for the maps.

NOTES
If the automount daemon catches signal USR1, it will unmount all currently unused autofs-mounted filesystems and continue running (forced unmount.) If it catches signal USR2 it will unmount all unused autofs-mounted filesystems and exit if all filesystems were unmounted. Busy filesystems will not be unmounted.

SEE ALSO
autofs(5), mount(8).

BUGS
A whole slew of missing desirable features (see TODO file). The documentation leaves a lot to be desired. Please report other bugs along with a detailed description to <autofs@linux.kernel.org>. To join this mailing list, send a message with the line "subscribe autofs" to <majordomo@linux.kernel.org>.

AUTHOR
H. Peter Anvin <hpa@transmeta.com>